'use strict';

var _createClass = (function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; })();

Object.defineProperty(exports, "__esModule", {
  value: true
});

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var React = require('react');

var propTypes = {
  year: React.PropTypes.number.isRequired,
  onPrevYear: React.PropTypes.func,
  onNextYear: React.PropTypes.func,
  goToToday: React.PropTypes.func,
  showTodayButton: React.PropTypes.bool
};

var CalendarControls = (function (_React$Component) {
  _inherits(CalendarControls, _React$Component);

  function CalendarControls() {
    _classCallCheck(this, CalendarControls);

    return _possibleConstructorReturn(this, Object.getPrototypeOf(CalendarControls).apply(this, arguments));
  }

  _createClass(CalendarControls, [{
    key: 'render',
    value: function render() {
      var todayButton = undefined;
      if (this.props.showTodayButton) {
        todayButton = React.createElement(
          'div',
          {
            className: 'control today',
            onClick: this.props.goToToday.bind(this)
          },
          'Today'
        );
      }

      return React.createElement(
        'div',
        { className: 'calendar-controls' },
        React.createElement(
          'div',
          {
            className: 'control',
            onClick: this.props.onPrevYear.bind(this)
          },
          '«'
        ),
        React.createElement(
          'div',
          { className: 'current-year' },
          this.props.year
        ),
        React.createElement(
          'div',
          {
            className: 'control',
            onClick: this.props.onNextYear.bind(this)
          },
          '»'
        ),
        todayButton
      );
    }
  }]);

  return CalendarControls;
})(React.Component);

exports.default = CalendarControls;

CalendarControls.propTypes = propTypes;